POST api/cleanroomapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_type_id": "12214ea2-cfc7-4fc5-950e-b17fb844816f",
"communication_server_id": "f7089429-2deb-44e6-8a1d-592bb05697cb",
"id": "44316a40-c9db-4d03-9f55-821f2058be9d",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
application/xml, text/xml
Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <cleanroom_type_id>12214ea2-cfc7-4fc5-950e-b17fb844816f</cleanroom_type_id> <communication_server_id>f7089429-2deb-44e6-8a1d-592bb05697cb</communication_server_id> <id>44316a40-c9db-4d03-9f55-821f2058be9d</id> <local_id>1</local_id> <local_name>sample string 3</local_name> <name>sample string 4</name> <type_of_temperature>sample string 5</type_of_temperature> </cleanroom>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"7741e8c0-9767-4038-9fc2-4393299b8235"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">7741e8c0-9767-4038-9fc2-4393299b8235</guid>